# Imagick::setResourceLimit

(PECL imagick 2.0.0)

Imagick::setResourceLimit — Sets the limit for a particular resource

### Description

Imagick::setResourceLimit ( int `$type` , int `$limit` ) : bool

This method is used to modify the resource limits of the underlying ImageMagick library.

### Parameters

`type`

  Refer to the list of resourcetype constants.

`limit`

  One of the resourcetype constants. The unit depends on the type of the resource being limited.

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::getResourceLimit() - Returns the specified resource limit